<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#7F00FF" ALINK="#FF0000">

<P><!-------TITLE------></P>

<TABLE BORDER="0" WIDTH="100%">
    <TR>
        <TD ALIGN="left">
			<A HREF="http://www.esrf.fr/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.elettra.trieste.it/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/elettra_logo.gif" BORDER=0></A>

		</Td>
        <TD ALIGN="right">
			<A HREF="http://www.synchrotron-soleil.fr/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/soleil_logo.gif" BORDER=0></A>
		</Td>
    	 <Td>
    	 <Td>
			<H2><FONT COLOR="#7F00FF">
			<Center><A HREF="http://www.esrf.fr/Infrastructure/Computing/tango/" TARGET="_top">
					 TANGO </a> <Br> Device Server
			</Center></FONT>
    	</Td>
    </TR>
</TABLE>

<HR WIDTH="100%"></H5>
<Br>
<center>
<h1>
Starter for Tango Administration		<Br>
Properties Description 		<Br> <Br>
Starter Class	<Br>
</h1>
<b>
Revision: Release_2_3 - Author: pascal_verdier -  CVS repository: sourceforge(tango-cs)
</b>
</center>


<Br> <Br> <Br> 
<Center>
<Table Border=2 Cellpadding=3 CELLSPACING=0 WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td COLSPAN=3> <Font Size=+2><Center><b>Class Properties</b></td></Font></Center>
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td><Center><b>Property name</b></td></Center>
<Td><Center><b>Property type</b></td></Center>
<Td><Center><b>Description</b></td></Center>

<Tr><Td>ReadInfoDbPeriod</Td>
<Td>Tango::DEV_SHORT</Td>
<Td>Period to read database for new info if not fired from Database server.</Td></Tr>

<Tr><Td>NbStartupLevels</Td>
<Td>Tango::DEV_SHORT</Td>
<Td>Number of startup levels managed by starter.</Td></Tr>

<Tr><Td>CmdPollingTimeout</Td>
<Td>Tango::DEV_LONG</Td>
<Td>Timeout value in seconds to stop polling if no command has been received.</Td></Tr>

<Tr><Td>UseEvents</Td>
<Td>Tango::DEV_SHORT</Td>
<Td>Use events if not null.</Td></Tr>

</Table>

<Br> <Br> <Br> 
<Table Border=2 Cellpadding=3 CELLSPACING=0 WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td COLSPAN=3> <Font Size=+2><Center><b>Device Properties</b></td></Font></Center>
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td><Center><b>Property name</b></td></Center>
<Td><Center><b>Property type</b></td></Center>
<Td><Center><b>Description</b></td></Center>
<Tr><Td>StartDsPath</Td>
<Td>Array of string</Td>
<Td>Path to find executable files
to start device servers</Td></Tr>

<Tr><Td>WaitForDriverStartup</Td>
<Td>Tango::DEV_SHORT</Td>
<Td>The Starter will wait a bit before starting servers, to be sure than the drivers
are started.This time is in seconds.</Td></Tr>

<Tr><Td>UseEvents</Td>
<Td>Tango::DEV_SHORT</Td>
<Td>Use events if not null.</Td></Tr>

<Tr><Td>StartServersAtStartup</Td>
<Td>Tango::DEV_BOOLEAN</Td>
<Td>Skip starting servers at startup if false.</Td></Tr>

<Tr><Td>InterStartupLevelWait</Td>
<Td>Tango::DEV_LONG</Td>
<Td>Time to wait before two startup levels in seconds.</Td></Tr>

</Table>


<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3> ESRF - Software Engineering Group </H3>
</Center>
</body>
</html>
